Bug 208067 - RFE: Selinux file_context.local in RHEL 4
RFE: Selinux file_context.local in RHEL 4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libselinux (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 04:24 EDT by devzero2000
Modified: 2012-06-20 09:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport from libselinux 1.20.-3 : Modify matchpathcon to also process file_contexts.local if it exists (8.32 KB, patch)
2006-09-26 04:24 EDT, devzero2000
no flags Details | Diff

  None (edit)
Description devzero2000 2006-09-26 04:24:48 EDT
Description of problem:


In the distributed version of libselinux from the RHEL4 upd3 (libselinux-1.19.1-
7)
 it does not come included the support to personalize the File Local Context 
Selinux via the files
/etc/selinux/targeted/contexts/files/file_contexts.local - evidently an 
important necessity (cfr. http://danwalsh.livejournal.com/ ) for most client 
that would put simply customization to selinux file_context without a policy 
recompile.  In fact in the  changelog of  the following versions, as in FC4 ( 
follow an extract)

* Wed Jan 12 2005 Dan Walsh <dwalsh@redhat.com> 1.20.1-3
 - Modify matchpathcon to also process file_contexts.local if it exists
  
this support it has been introduced.
I would ask you to verify if and when she comes introduced such support in 
RHEL4. 
Meantime i shipment you a patch and the spec for libselinux RHEL4 - the patch 
has been backported from FC4. Probably it is not completly corrected but it 
works - it seems.
Comment 1 devzero2000 2006-09-26 04:24:48 EDT
Created attachment 137114 [details]
backport from libselinux 1.20.-3 : Modify matchpathcon to also process file_contexts.local if it exists
Comment 2 Daniel Walsh 2007-01-29 11:12:51 EST
Your patch is broken.  You should have used something like gendiff to create the
patch
Comment 3 devzero2000 2007-01-31 15:57:30 EST
(In reply to comment #2)
> Your patch is broken.  You should have used something like gendiff to create the
> patch

Sorry , bat the answer is yes. I have used gendiff for regenerating the selinux
rpm, for backporting the patch. Isn't correct ? I don't like installing nothing
without rpm, also in a test environment. Do you think it is better using diff
-Nur  for proposing patch to the mantainer?
If so, i repost it soon.
Comment 4 Jiri Pallich 2012-06-20 09:31:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.